package es.verdnatura.presentation.view.feature.inventario.fragment

import ir.mirrajabi.searchdialog.core.Searchable

class SearchBuyerModel(private var nickname: String?, private var buyerId: Int?) : Searchable {


    override fun getTitle(): String {

        return nickname!!
    }

    fun getBuyerId(): String {
        return buyerId.toString()!!
    }

    fun getBuyerNickname(): String {
        return nickname!!
    }

}

class SearchDepartmentModel(private var name: String?, private var departmentId: Int?) :
    Searchable {

    override fun getTitle(): String {

        return name!!
    }

    fun getDepartmentId(): Int {
        return departmentId!!
    }

    fun getDepartmentName(): String {
        return name!!
    }

}

class SearchSupplierModel(private var name: String?, private var id: String?) : Searchable {


    fun getId(): String {
        return id!!
    }
    fun getName(): String {
        return name!!
    }

    override fun getTitle(): String {
        return name!!
    }
}